Bug 1378767 (CVE-2016-7534) - CVE-2016-7534 ImageMagick: CbYCrY quantum heap-based OOB read/write
Summary: CVE-2016-7534 ImageMagick: CbYCrY quantum heap-based OOB read/write
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-7534
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160207,repor...
Depends On: 1378790
Blocks: 1378785
TreeView+ depends on / blocked
 
Reported: 2016-09-23 08:55 UTC by Adam Mariš
Modified: 2019-06-08 21:28 UTC (History)
13 users (show)

Fixed In Version: ImageMagick 7.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-04 00:01:14 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-09-23 08:55:50 UTC
An error within the handling of certain specially crafted images using the CbYCrY color format can result in heap-based out-of-bounds reads and writes.

Bug report(s):

https://github.com/ImageMagick/ImageMagick/issues/126
https://bugs.launchpad.net/bugs/1542785

Upstream patch(es):

https://github.com/ImageMagick/ImageMagick/commit/430403b0029b37decf216d57f810899cab2317dd

CVE assignment:

http://seclists.org/oss-sec/2016/q3/590

Comment 1 Adam Mariš 2016-09-23 09:36:13 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1378790]

Comment 3 Stefan Cornelius 2018-04-04 00:01:25 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.